Spaces method and path for this operation:
put /s/{space_id}/api/fleet/agent_download_sources/{sourceId}
Refer to Spaces for more information.
Update an agent binary download source by ID.
[Required authorization] Route required privileges: fleet-settings-all.
PUT
/api/fleet/agent_download_sources/{sourceId}
curl \
--request PUT 'https://<KIBANA_URL>/api/fleet/agent_download_sources/{sourceId}' \
--header "Authorization: $API_KEY" \
--header "Content-Type: application/json" \
--header "kbn-xsrf: true" \
--data '{"host":"https://updated-host.example.com/downloads/","is_default":false,"name":"Updated download source"}'
Request example
Update an agent binary download source
{
"host": "https://updated-host.example.com/downloads/",
"is_default": false,
"name": "Updated download source"
}
Response examples (200)
The updated agent binary download source
{
"item": {
"host": "https://updated-host.example.com/downloads/",
"id": "download-source-id-1",
"is_default": false,
"name": "Updated download source"
}
}
Response examples (400)
Example of a generic error response
{
"error": "Bad Request",
"message": "An error message describing what went wrong",
"statusCode": 400
}
Response examples (404)
No download source was found with the given ID
{
"error": "Not Found",
"message": "Download source download-source-id-1 not found",
"statusCode": 404
}